Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class DistributionPoint

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.DistributionPoint

All Implemented Interfaces:
  DEREncodable

public class DistributionPoint
extends java.lang.Object
implements DEREncodable

Constructor Summary
`DistributionPoint(ASN1Sequence seq)`
`DistributionPoint(DistributionPointName distributionPoint, ReasonFlags reasons, GeneralNames cRLIssuer)`

Method Summary
`DERObject` | `getDERObject()` DistributionPoint ::= SEQUENCE { distributionPoint [0] DistributionPointName OPTIONAL, reasons [1] ReasonFlags OPTIONAL, cRLIssuer [2] GeneralNames OPTIONAL }
`static DistributionPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DistributionPoint` | `getInstance(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributionPoint

    public DistributionPoint(ASN1Sequence seq)

### DistributionPoint

    public DistributionPoint(DistributionPointName distributionPoint,
                             ReasonFlags reasons,
                             GeneralNames cRLIssuer)

Method Detail

### getInstance

    public static DistributionPoint getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

### getInstance

    public static DistributionPoint getInstance(java.lang.Object obj)

### getDERObject

    public DERObject getDERObject()

       DistributionPoint ::= SEQUENCE {
            distributionPoint [0] DistributionPointName OPTIONAL,
            reasons           [1] ReasonFlags OPTIONAL,
            cRLIssuer         [2] GeneralNames OPTIONAL
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD